NewWacht Bench is live — AI-assisted development for Wacht

Rotate Api Key For App

POST
/api-auth/apps/{app_slug}/keys/{key_id}/rotate

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string
key_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/api-auth/apps/string/keys/string/rotate"
{
  "key": {
    "id": "string",
    "deployment_id": "string",
    "app_slug": "string",
    "name": "string",
    "key_prefix": "string",
    "key_suffix": "string",
    "key_hash": "string",
    "permissions": [
      "string"
    ],
    "metadata": null,
    "rate_limits": [
      {
        "unit": "millisecond",
        "duration": 0,
        "max_requests": 0,
        "mode": "per_app",
        "endpoints": [
          "string"
        ],
        "priority": 0
      }
    ],
    "rate_limit_scheme_slug": "string",
    "owner_user_id": "string",
    "organization_id": "string",
    "workspace_id": "string",
    "organization_membership_id": "string",
    "workspace_membership_id": "string",
    "org_role_permissions": [
      "string"
    ],
    "workspace_role_permissions": [
      "string"
    ],
    "expires_at": "2019-08-24T14:15:22Z",
    "last_used_at": "2019-08-24T14:15:22Z",
    "is_active": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "revoked_at": "2019-08-24T14:15:22Z",
    "revoked_reason": "string"
  },
  "secret": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}